// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError   = status.Error(10001, "系统错误")
	ServiceError  = status.Error(10002, "内部服务错误")
	ParamsError   = status.Error(10003, "参数错误")
	DataBaseError = status.Error(10004, "数据库错误")
	NoRecordError = status.Error(10005, "查无记录")

	DeviceNotExistError     = status.Error(20001, "设备不存在")
	DeviceStayConfirmeError = status.Error(20002, "设备待确认")
	DeviceRefuseError       = status.Error(20003, "设备未通过项目审核")
)
